
#ifndef _SPRING_H_
#define _SPRING_H_

//
// openFrameworks vs Processing
// 
// Chain.pde
//

#include "ofMain.h"

class Spring2D 
{
public:
	float vx, vy; // The x- and y-axis velocities
	float x, y; // The x- and y-coordinates
	float gravity;
	float mass;
	float radius;
	float stiffness;
	float damping;

	Spring2D();
	~Spring2D();
	Spring2D(float xpos, float ypos, float m, float g);
	void update(float targetX, float targetY);
	void display(float nx, float ny);

};

#endif //#ifndef _SPRING_H_
