#ifndef _TEST_APP
#define _TEST_APP

//
// openFrameworks vs Processing
// 
// Chain.pde
//

#include "ofMain.h"

#include "Spring.h"

class testApp : public ofBaseApp{

	public:
		void setup();
		void update();
		void draw();

		void keyPressed  (int key);
		void keyReleased(int key);
		void mouseMoved(int x, int y );
		void mouseDragged(int x, int y, int button);
		void mousePressed(int x, int y, int button);
		void mouseReleased(int x, int y, int button);
		void windowResized(int w, int h);


		Spring2D *s1, *s2;

		float gravity;
		float mass;

		//    
		int width;
		int height;

		//    
		int mouseX;
		int mouseY;

		//    
		int mouseClickX;
		int mouseClickY;

};

#endif
